Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class MetaProjectImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.MetaProjectImpl

All Implemented Interfaces:
  Localizable, MetaProject, Serializable

    public class MetaProjectImpl

extends Object
implements MetaProject, Localizable, Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MetaProjectImpl.ClsEnum`
`static class` | `MetaProjectImpl.InstanceEnum`
`static class` | `MetaProjectImpl.SlotEnum`

Constructor Summary
`MetaProjectImpl(Project p)`
`MetaProjectImpl(URI metaProjectURI)`
`MetaProjectImpl(URI metaprojectURI, boolean isMultiUserServer)`

Method Summary
`PolicyControlledObjectCollection` | `createCollection(String name)`
`Group` | `createGroup(String name)`
`GroupOperation` | `createGroupOperation()`
`Operation` | `createOperation(String name)`
`ProjectInstance` | `createProject(String name)`
`PropertyValue` | `createPropertyValue()`
`PropertyValue` | `createPropertyValue(String propertyName, String propertyValue)`
`ServerInstance` | `createServer(String name)`
`User` | `createUser(String name, String password)`
`void` | `dispose()`
`Cls` | `getCls(MetaProjectImpl.ClsEnum cls)`
`Group` | `getGroup(String name)`
`Set<GroupOperation>` | `getGroupOperations()`
`Set<Group>` | `getGroups()`
`KnowledgeBase` | `getKnowledgeBase()`
`Operation` | `getOperation(String name)`
`Set<Operation>` | `getOperations()`
`Policy` | `getPolicy()`
`ProjectInstance` | `getProject(String name)`
`Set<ProjectInstance>` | `getProjects()`
`Collection<PropertyValue>` | `getPropertyValues(String propertyName, String propertyValue)`
`Set<ServerInstance>` | `getServers()`
`Slot` | `getSlot(MetaProjectImpl.SlotEnum slot)`
`User` | `getUser(String name)`
`Set<User>` | `getUsers()`
`protected Set` | `getWrappedInstances(MetaProjectImpl.ClsEnum cls)`
`void` | `localize(KnowledgeBase kb)`
`boolean` | `save(Collection errors)`
`protected WrappedProtegeInstanceImpl` | `wrapInstance(MetaProjectImpl.ClsEnum cls, Instance i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaProjectImpl

    public MetaProjectImpl(URI metaProjectURI)

### MetaProjectImpl

    public MetaProjectImpl(URI metaprojectURI,
                           boolean isMultiUserServer)

### MetaProjectImpl

    public MetaProjectImpl(Project p)

Method Detail

### getCls

    public Cls getCls(MetaProjectImpl.ClsEnum cls)
               throws OntologyException

  Throws:
    `OntologyException`

### getSlot

    public Slot getSlot(MetaProjectImpl.SlotEnum slot)
                 throws OntologyException

  Throws:
    `OntologyException`

### wrapInstance

    protected WrappedProtegeInstanceImpl wrapInstance(MetaProjectImpl.ClsEnum cls,
                                                      Instance i)

### getWrappedInstances

    protected Set getWrappedInstances(MetaProjectImpl.ClsEnum cls)

### getProjects

    public Set<ProjectInstance> getProjects()

  Specified by:
    `getProjects` in interface `MetaProject`

### getProject

    public ProjectInstance getProject(String name)

  Specified by:
    `getProject` in interface `MetaProject`

### getUsers

    public Set<User> getUsers()

  Specified by:
    `getUsers` in interface `MetaProject`

### getUser

    public User getUser(String name)

  Specified by:
    `getUser` in interface `MetaProject`

### getOperation

    public Operation getOperation(String name)

  Specified by:
    `getOperation` in interface `MetaProject`

### getOperations

    public Set<Operation> getOperations()

  Specified by:
    `getOperations` in interface `MetaProject`

### getGroup

    public Group getGroup(String name)

  Specified by:
    `getGroup` in interface `MetaProject`

### getGroups

    public Set<Group> getGroups()

  Specified by:
    `getGroups` in interface `MetaProject`

### getGroupOperations

    public Set<GroupOperation> getGroupOperations()

  Specified by:
    `getGroupOperations` in interface `MetaProject`

### getServers

    public Set<ServerInstance> getServers()

  Specified by:
    `getServers` in interface `MetaProject`

### getPolicy

    public Policy getPolicy()

  Specified by:
    `getPolicy` in interface `MetaProject`

### getKnowledgeBase

    public KnowledgeBase getKnowledgeBase()

### save

    public boolean save(Collection errors)

  Specified by:
    `save` in interface `MetaProject`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `MetaProject`

### createProject

    public ProjectInstance createProject(String name)

  Specified by:
    `createProject` in interface `MetaProject`

### createUser

    public User createUser(String name,
                           String password)

  Specified by:
    `createUser` in interface `MetaProject`

### createGroup

    public Group createGroup(String name)

  Specified by:
    `createGroup` in interface `MetaProject`

### createOperation

    public Operation createOperation(String name)

  Specified by:
    `createOperation` in interface `MetaProject`

### createGroupOperation

    public GroupOperation createGroupOperation()

  Specified by:
    `createGroupOperation` in interface `MetaProject`

### createPropertyValue

    public PropertyValue createPropertyValue()

  Specified by:
    `createPropertyValue` in interface `MetaProject`

### createPropertyValue

    public PropertyValue createPropertyValue(String propertyName,
                                             String propertyValue)

  Specified by:
    `createPropertyValue` in interface `MetaProject`

### createCollection

    public PolicyControlledObjectCollection createCollection(String name)

### getPropertyValues

    public Collection<PropertyValue> getPropertyValues(String propertyName,
                                                       String propertyValue)

  Specified by:
    `getPropertyValues` in interface `MetaProject`

### createServer

    public ServerInstance createServer(String name)

  Specified by:
    `createServer` in interface `MetaProject`

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.